package com.nbclass.szxgl.mapper;

import com.nbclass.szxgl.model.ProjectTask;
import com.nbclass.util.MyMapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

public interface ProjectTaskMapper extends MyMapper<ProjectTask> {
	
	/**
	 * 查询项目任务列表
	 * @param pid
	 * @return
	 */
	public List<ProjectTask> getList(@Param("pid")String pid);

	public ProjectTask findById(String id);

	public ProjectTask findByProjectId(String projectId);

    public void deleteByProjectId(String projectId);

    public List<String> getProjectTaskIds(String projectId);

	public List<Map> getMyTaskList(String userid);

	public void updateTaskSpeed(String id, int speed);
}